## BafCode CLI
BafCode CLI is a powerful tool designed to streamline the setup and execution of the BafCode Framework. Whether you're a seasoned developer or just getting started, BafCode CLI simplifies the process of creating and developing AI agents.

## Features
Quick Setup: Easily initialize a new BafCode project.
Smooth Execution: Start the BafCode Framework with a simple command.
Key Generation: Generate necessary keys for your project.
Getting Started
Here are the primary commands you'll use:

**1. Setting Up a New Project**
```bash
bafcode setup
```
**2. Starting the BafCode Framework**
```bash
bafcode start
```
**3. Generating a Key for your Project**
```bash
bafcode generate:key
```

**4. Make a tool file (it will generate api,prompt files and auto importing )**
```bash
bafcode make tool <your_tool_name>
```

**5. Make a prompt file (it will auto import it to __init__.py)**
```bash
bafcode make prompt <your_prompt_name>
```

**6. Make a api file (it will auto import it to __init__.py)**
```bash
bafcode make api <your_api_name>
```
**7. Make a llm file (it will auto import it to __init__.py)**
```bash
bafcode make llm <your_llm_name>
```

**Wrapping Up**
BafCode CLI is your companion for effective and efficient AI agent development with the BafCode Framework. Dive in and start creating!

